Subject: Re: [PATCH] net/r8169: Correct the ram code for RTL8111D(L)

From: Ben Hutchings <[email-masked]>
Date: Fri, 26 Nov 2010 23:12:26 +0000

On Fri, 2010-11-26 at 23:49 +0100, Francois Romieu wrote:
> Ben Hutchings <[email-masked]> :
> > On Fri, 2010-11-26 at 19:54 +0800, Hayes Wang wrote:
> > > Correct the binary code (Low pass filter & DLY_CAP fine tune from uC).
> > > The incorrect ram code would make the nic working abnormally.
> > [...]
> > 
> > I'm glad you finally acknowledge that this is code rather than simple
> > register initialisation.
> 
> I am not sure that Hayes is a native english speaker.
> 
> I am glad to see him posting here.

Right.

Hayes, by 'you' I meant Realtek, not you personally.  If my reply seemed
aggressive, I apologise.

> [...]
> > Below are the changes Debian currently applies in preparation for proper
> > licencing of the firmware.
> 
> Do you have some scripts to convert the data at hand ?
[...]

No, it's easy enough to convert a single array by copying it into a C
file that dumps it to stdout (assuming the file's byte order is defined
to match your own machine).

It might be worth adding some sort of header with a version and
checksum.  Your choice, really.

Ben.

-- 
Ben Hutchings, Debian Developer and kernel team member